# AgentState Enum

### NAME

AgentState

### DESCRIPTION

Agent State

| Values                     | Description                                                                                             |
| -------------------------- | ------------------------------------------------------------------------------------------------------- |
| Unknown                    | No agent state information available                                                                    |
| NeedsUpdate                | Agent version is less than the RAS Server version                                                       |
| NotVerified                | Agent not connected to RAS Connection Broker and cannot be used                                         |
| ServerDeleted              | Agent was removed from configuration.                                                                   |
| DisabledFromSettings       | Agent was disabled from configuration but it's still available in the runtime                           |
| Disconnected               | Agent is not connected to any RAS Connection Broker                                                     |
| OK                         | Agent is working correctly                                                                              |
| EnumSessionsFailed         | Failed to get sessions information from the agent                                                       |
| RDSRoleDisabled            | RD Session Host disabled or denying connections                                                         |
| MaxNonCompletedSessions    | Maximum number of non-completed sessions limit reached                                                  |
| RASScheduleInProgress      | Disabled (scheduler)                                                                                    |
| ConnectionFailed           | Agent cannot connect to the host                                                                        |
| InvalidCredentials         | Connection to host failed because of invalid credentials                                                |
| NeedsSysprep               | Guest agent needs Sysprep answer file                                                                   |
| SysPrepInProgress          | SysPrep in progress on machine                                                                          |
| CloningFailed              | Cloning process failed                                                                                  |
| Synchronising              | Synchronizing agent settings is in progress                                                             |
| LogonDrainUntilRestart     | New logons disabled (drain mode) until restart                                                          |
| LogonDrain                 | New logons disabled (drain mode)                                                                        |
| LogonDisabled              | Disable user login from sessions                                                                        |
| ForcedDisconnect           | Agent forced to disconnect                                                                              |
| CloningCanceled            | Cloning is being cancelled                                                                              |
| RASprepInProgress          | RASprep in progress on machine                                                                          |
| InstallingRDSRole          | Installation of RDS role is in progress                                                                 |
| RebootPending              | Reboot of machine is pending                                                                            |
| PortMismatch               | Port mismatch found on the agent because it's already in use                                            |
| NeedsDowngrade             | Agent version is greater than the RAS Connection Broker version                                         |
| NotApplied                 | Agent settings not applied                                                                              |
| CloningInProgress          | Cloning for RAS Template is in progress                                                                 |
| MarkedForDeletion          | Agent is marked for deletion                                                                            |
| StandBy                    | Agent is in standby mode                                                                                |
| UnsupportedVDIType         | Provider type is not supported                                                                          |
| FreeESXLicenseNotSupported | Free ESX License is not supported with RAS                                                              |
| ManagedESXNotSupported     | Managed ESX License is not supported by RAS                                                             |
| InvalidHostVersion         | Invalid Provider version                                                                                |
| NotJoined                  | Tenant is invited to join or has been added to the Farm but not yet joined.                             |
| LicenseExpired             | The Tenant License has expired.                                                                         |
| JoinBroken                 | The Tenant failed to connect to Tenant Broker.                                                          |
| InUse                      | Agent is already connected to another farm                                                              |
| NotInUse                   | Agent is not connect to any farm                                                                        |
| Unsupported                | Agent version is no longer supported or agent's OS no longer supported                                  |
| NoAvailableGateways        | There are no RAS Secure Gateways that the Tenant Broker can use to process connections.                 |
| EnrollServerNotInitialized | Enrollment agent not initialized (i.e. waiting for new settings)                                        |
| EnrollmentUnavailable      | Enrollment agent certificated was not created                                                           |
| InvalidCAConfig            | Invalid Certificate Authority configuration                                                             |
| InvalidEAUserCredentials   | Invalid enrollment agent credentials                                                                    |
| InvalidESSettings          | Invalid Enrollment Agent Settings                                                                       |
| FSLogixNotAvail            | FSLogix is not available                                                                                |
| NoDevices                  | HALB Instance: No HALB devices are configured                                                           |
| NeedsAttention             | HALB Instance: One or more HALB devices are not configured OR WVD HostPool is empty (no hosts assigned) |
| ImageOptimizationPending   | Image optimization is in pending state                                                                  |
| ImageOptimization          | Image optimization is in active state                                                                   |
| Unavailable                | Agent is not available since depending objects are not available or empty                               |
| UnderConstruction          | Agent under construction                                                                                |
| Broken                     | Agent broken state                                                                                      |
| NonRAS                     | Non RAS agent (AVD related agents)                                                                      |
| Provisioning               | A clone is being provisioned from the assigned template                                                 |
| Invalid                    | AVD object data corrupted                                                                               |
| FSLogixNeedsUpdate         | Version of installed FSLogix older than the one in configuration                                        |
| NoMembersAvailable         | No members in the host pool                                                                             |
| MembersNeedUpdate          | One or more members in the host pool is in need update state                                            |
| FailedPerfCounters         | Performance counters failed to initialize                                                               |
| PendingRecreation          | Machine will be recreated on the last user logoff                                                       |
| RemovingMembers            | Guest being removed from the host pool                                                                  |
| ScalingIn                  | Deprecated: use RemovingMembers instead                                                                 |
| AddingMembers              | Guest being added to the host pool                                                                      |
| ScalingOut                 | Deprecated: use AddingMembers instead                                                                   |
| DeleteInProgress           | A delete is currently in progress                                                                       |
| JoiningToHostPool          | A host is current being joined to a host pool                                                           |
| AutoUpdateInProgress       | A host is current performing an agent service update automatically                                      |
| AutoUpdateFailed           | A host has failed to update the agent service automatically                                             |
| AutoUpdateLimitReached     | A host has reached the attempt limit for automatically updationg. Host will need ot be updated manually |

#### References to Types

| [AVDHostPoolStatus](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/AVDHostPoolStatus.html)               |
| ------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [AVDHostSysInfo](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/AVDHostSysInfo.html)                     |
| [AVDWorkspaceStatus](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/AVDWorkspaceStatus.html)             |
| [BrokerSysInfo](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/BrokerSysInfo.html)                       |
| [EnrollmentServerStatus](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/EnrollmentServerStatus.html)     |
| [GatewaySysInfo](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/GatewaySysInfo.html)                     |
| [HALBVirtualServerStatus](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/HALBVirtualServerStatus.html)   |
| [JoinedBrokerStatus](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/JoinedBrokerStatus.html)             |
| [ProviderHost](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/ProviderHost.html)                         |
| [ProviderHostApp](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/ProviderHostApp.html)                   |
| [ProviderSysInfo](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/ProviderSysInfo.html)                   |
| [ProviderSysInfoHost](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/ProviderSysInfoHost.html)           |
| [ProviderSysInfoHostApp](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/ProviderSysInfoHostApp.html)     |
| [RASAgentInfo](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/RASAgentInfo.html)                         |
| [RDSHostPoolStatus](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/RDSHostPoolStatus.html)               |
| [RDSHostSysInfo](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/RDSHostSysInfo.html)                     |
| [RDSHostSysInfoSession](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/RDSHostSysInfoSession.html)       |
| [RDSHostSysInfoSessionApp](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/RDSHostSysInfoSessionApp.html) |
| [SiteSysInfo](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/SiteSysInfo.html)                           |
| [TemplateStatus](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/TemplateStatus.html)                     |
| [VDIHostSysInfo](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/VDIHostSysInfo.html)                     |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v19/parallels-ras-powershell-admin-module/enums/agentstate-enum.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
